/// <reference path="~/Scripts/angular.js" />
/// <reference path="~/Scripts/angular-route.js" />

(function () {
  var app = angular.module("stageModule", ["ngRoute"]);
  var stages = [
    { Ref: "AST", Stage: "ASP.Net" }, { Ref: "PSH", Stage: "C#" },
    { Ref: "VBN", Stage: "VB.Net" },
    { Ref: "DSN", Stage: "Développement système avec .Net" },
    { Ref: "NEA", Stage: "ASP.Net niveau 2" },
    { Ref: "NCA", Stage: "Les APIs de communication de .Net" }
  ];
  app.constant("stages", stages);

  var config = function ($routeProvider) { // $routeProvider est trouvé car dépendance de ngRoute
    $routeProvider
    .when("/list", // L'URL est /maPage#/list
    { templateUrl: "/Scripts/Ng client/Views/StageList.html" }) // Le template téléchargé sera placé dans un sous-élément DOM de la div data-ng-app nommé <ng-view></ng-view>
    .when("/details/:index", // L'URL est /maPage#/details/un_index
    { templateUrl: "/Scripts/Ng client/Views/StageEdit.html" })
    .otherwise(
    { redirectTo: "/list" });
  };
  app.config(config); // invoquera notre méthode config et lui enverra le service routeProvider en se basant sur le nom du paramètre
}());
